# pyttsgen


[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](LICENSE)  

**GitHub:** Visit the official source and contribute at https://github.com/reprompts/pyttsgen  

**dev.to:** Read articles and tutorials at https://dev.to/repromptsquest  

**LinkedIn Group:** Join our community at https://www.linkedin.com/groups/14631875/  

**pyttsgen** is a plug-and-play TTS (Text-to-Speech) generator for Python. 


It supports:

- 🔧 Python scripting
- 🖥️ CLI access
- 🌐 Streamlit UI

## 🔌 Installation

```bash
pip install pyttsgen
🧪 Usage


1. 🧑‍💻 Python Scripting
python

from pyttsgen import TTS

tts = TTS()
tts.speak_to_file("Hello from Python!", "hello.mp3")
audio_bytes = tts.speak_to_bytes("In-memory audio!")
base64_audio = tts.speak_to_base64("Base64 audio for web!")


2. 💻 CLI

pyttsgen "This is CLI-based speech" --voice en-GB-RyanNeural --output speech.mp3
List all voices

pyttsgen --list-voices
Show usage help

pyttsgen


3. 🌐 UI (Streamlit)

Typing "app" in the CLI
Opens a browser UI to enter text and download audio.




🧾 License
This project is licensed under the MIT License. See the LICENSE file for details.

🤝 Contributing
We welcome open-source contributors and community supporters!
Please read our Contribution Guidelines and submit pull requests.

🛡️ Security
To report security issues or vulnerabilities, email:
repromptsquest@gmail.com

Refer to our Security Policy for more details.